Bug 1251261 - kdbus: systemctl daemon-reload does not work in emergency mode
kdbus: systemctl daemon-reload does not work in emergency mode
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 16:31 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2016-11-03 20:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 20:10:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2015-08-06 16:31:25 EDT
Description of problem:
# systemctl daemon-reload
Error getting authority: Error initializing authority: Could not connect: No such file or directory (g-io-error-quark, 1)

Version-Release number of selected component (if applicable):
systemd-223-2.git65c85ef.fc24.x86_64
kernel-4.2.0-0.rc4.git2.1.fc24.x86_64

(I'm assuming that this is kdbus related. Will have to try again after upgrading to latest systemd.)
Comment 1 Michal Sekletar 2015-10-08 08:57:33 EDT
I tried to reproduce this and I can confirm that I also see the error message. However in my case systemd actually reloads its configuration, i.e. I can see Reloading log message and also it complains about some unit files not being world readable.

I am running kdbus on kernel-4.2.0-300.fc23.x86_64 and systemd is circa two weeks old git master.
Comment 2 Jan Kurik 2016-02-24 08:35:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-11-03 20:10:02 EDT
kdbus is no more.

Note You need to log in before you can comment on or make changes to this bug.